Subject: RE: [Autoconf] Multicast confusion between MANET Arch and AUTOCONF Problem Statement

From: "Teco Boot" <[email-masked]>
Date: Tue, 4 Dec 2007 02:21:07 +0100

Late response, sorry.

> -----Oorspronkelijk bericht-----
> Van: Emmanuel Baccelli [mailto:[email-masked]]
> Verzonden: woensdag 21 november 2007 10:18
> Aan: [email-masked]
> Onderwerp: Re: [Autoconf] Multicast confusion between MANET Arch and
> AUTOCONFProblem Statement
> 
> 
> 
> Teco Boot a écrit :
> > Hi Alex,
> >
> > I think we agree on that the current PS is focused on "classical
> MANET". And
> > it misses another ad-hoc network type, e.g. using ad-hoc multihop
> > connectivity to the Internet.
> 
> 
> I do not agree with this judgement. Can you tell me what is the
> difference between the connected MANET scenario explicitely described
> in
> th scope of the PS, and what you mean by"ad hoc multihop connectivity
> to
> the Internet"?

When rereading 3.1 Connected MANET, it is about MANET. This is expected from
the title for that section.

But what about this example:
- smartphone connected to Internet
- laptop connected to smartphone
Smartphone and laptop do not run a MANET routing protocol. Classical
protocols may be used (or static). 
There is also not an SBI interface. Only a P2P link is used which is
perfectly stable.
For the time using this ad hoc setup, smartphone and laptop do not move.
I think this is more "ad hoc" and less "MANET".

It is terminology. I would use MANET for something that is mobile (or links
to neighbors have varying asymmetric reachability for other reasons)   and
runs a MANET protocol.
Manetarch:
MANET == routing domain containing MANET routers
MANET router == router having one or more MANET interfaces
MANET interface == interface with potentially significant time-varying
asymmetric reachability (e.g., SBI)

Following these definitions, the example topology is strictly spoken not a
MANET. Laptop is host (or router), smartphone is router, but not a MANET
router because no interface is SBI or have time-varying asymmetric
reachability.

To refer to the charter, terms "ad hoc" and "MANET" are used quite often.

Reading RFC2501, the MANET definition is somewhat wider. Here, a MANET is an
autonomous system of mobile nodes. In further explanation, the time-varying
reachability characteristic of wireless links pops up, but not by
definition. 
And I think some layer-2 technologies provides symmetric links only.

I do not want to discuss about these definitions a lot. 
What is important, is do we work on scenarios as described above?

Teco. 

> 
> Emmanuel
> 
> 
> _______________________________________________
> Autoconf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/autoconf

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf